## GstUnitConvert

GstUnitConvert — conversion between units of measurement

## Synopsis

    #include <libs/control/control.h>

    struct      GstUnitConvert;
    GstUnitConvert* gst_unitconv_new            (void);
    gboolean    gst_unitconv_set_convert_units  (GstUnitConvert *unitconv,
                                                 gchar *from_unit_named,
                                                 gchar *to_unit_named);
    gboolean    gst_unitconv_convert_value      (GstUnitConvert *unitconv,
                                                 GValue *from_value,
                                                 GValue *to_value);
    GParamSpec* gst_unitconv_unit_spec          (gchar *unit_name);
    gboolean    gst_unitconv_unit_exists        (gchar *unit_name);
    gboolean    gst_unitconv_unit_is_logarithmic
                                                (gchar *unit_name);
    gboolean    gst_unitconv_register_unit      (const gchar *domain_name,
                                                 gboolean is_domain_default,
                                                 gboolean is_logarithmic,
                                                 GParamSpec *unit_spec);
    gboolean    gst_unitconv_register_convert_func
                                                (gchar *from_unit_named,
                                                 gchar *to_unit_named,
                                                 GstUnitConvertFunc convert_func);
    gboolean    gst_unitconv_register_convert_property
                                                (gchar *unit_name,
                                                 GParamSpec *convert_prop_spec);

## Object Hierarchy

      GObject
       +----GstObject
             +----GstUnitConvert

## Description

## Details

### struct GstUnitConvert

    struct GstUnitConvert;

### gst_unitconv_new ()

    GstUnitConvert* gst_unitconv_new            (void);

Returns : |

### gst_unitconv_set_convert_units ()

    gboolean    gst_unitconv_set_convert_units  (GstUnitConvert *unitconv,
                                                 gchar *from_unit_named,
                                                 gchar *to_unit_named);

`unitconv` : |
`from_unit_named` : |
`to_unit_named` : |
Returns : |

### gst_unitconv_convert_value ()

    gboolean    gst_unitconv_convert_value      (GstUnitConvert *unitconv,
                                                 GValue *from_value,
                                                 GValue *to_value);

`unitconv` : |
`from_value` : |
`to_value` : |
Returns : |

### gst_unitconv_unit_spec ()

    GParamSpec* gst_unitconv_unit_spec          (gchar *unit_name);

`unit_name` : |
Returns : |

### gst_unitconv_unit_exists ()

    gboolean    gst_unitconv_unit_exists        (gchar *unit_name);

`unit_name` : |
Returns : |

### gst_unitconv_unit_is_logarithmic ()

    gboolean    gst_unitconv_unit_is_logarithmic
                                                (gchar *unit_name);

`unit_name` : |
Returns : |

### gst_unitconv_register_unit ()

    gboolean    gst_unitconv_register_unit      (const gchar *domain_name,
                                                 gboolean is_domain_default,
                                                 gboolean is_logarithmic,
                                                 GParamSpec *unit_spec);

`domain_name` : |
`is_domain_default` : |
`is_logarithmic` : |
`unit_spec` : |
Returns : |

### gst_unitconv_register_convert_func ()

    gboolean    gst_unitconv_register_convert_func
                                                (gchar *from_unit_named,
                                                 gchar *to_unit_named,
                                                 GstUnitConvertFunc convert_func);

`from_unit_named` : |
`to_unit_named` : |
`convert_func` : |
Returns : |

### gst_unitconv_register_convert_property ()

    gboolean    gst_unitconv_register_convert_property
                                                (gchar *unit_name,
                                                 GParamSpec *convert_prop_spec);

`unit_name` : |
`convert_prop_spec` : |
Returns : |